/* Andrey N. Kuznetsov, Almaty, 2012 *
 * For educational purposes.         *
 * Under GPL 2.0                     */
//---------------------------------------------------------------------
#ifndef _TCentralComponent_h_
#define _TCentralComponent_h_
//---------------------------------------------------------------------
#include "../JuceLibraryCode/JuceHeader.h"
//---------------------------------------------------------------------
class TStatusBar;
//---------------------------------------------------------------------
// Класс компонента содержимого.
class TCentralComponent  : public Component
{
public:
    TCentralComponent();
    ~TCentralComponent();

    void paint(Graphics&);
    void resized();

private:
    HyperlinkButton* pHyperlinkButton;

    // Предотвращает создание копии конструктора и оператора =
    TCentralComponent(const TCentralComponent&);
    const TCentralComponent& operator= (const TCentralComponent&);
};
//---------------------------------------------------------------------
#endif
