/* Andrey N. Kuznetsov, Almaty, 2012 *
 * For educational purposes.         *
 * Under GPL 2.0                     */
//---------------------------------------------------------------------
#include "TCentralComponent.h"
//---------------------------------------------------------------------
#define tr(s) String::fromUTF8(s)
//---------------------------------------------------------------------
TCentralComponent::TCentralComponent() : Component ("Central Component"),
                                         pHyperlinkButton(0)
{
    // Кнопка с гиперссылкой
    pHyperlinkButton = new HyperlinkButton(L"http://www.rawmaterialsoftware.com/juce.php",
                                           URL(L"http://www.rawmaterialsoftware.com/juce.php"));
    // Устанавливаем текст всплывающей подсказки
    pHyperlinkButton->setTooltip(L"http://www.rawmaterialsoftware.com/juce.php");
    addAndMakeVisible(pHyperlinkButton);

    setSize(400, 200);
}
//---------------------------------------------------------------------
TCentralComponent::~TCentralComponent()
{
    // Удаляем дочерний виджет
    // и обнуляем его указатель
    deleteAndZero(pHyperlinkButton);
}
//---------------------------------------------------------------------
void TCentralComponent::paint(Graphics& Canvas)
{
    Canvas.fillAll(Colours::white);
}
//---------------------------------------------------------------------
void TCentralComponent::resized()
{
    pHyperlinkButton->setBounds(15, proportionOfHeight(0.4500f), getWidth() - 15, 25);
}
//---------------------------------------------------------------------
